import { NDKEvent, log } from '@nostr-dev-kit/ndk'
import { ndk } from '../../main.js'

export async function inProgress(event: NDKEvent): Promise<NDKEvent> {
  log('marking job as in progress')

  const reactEvent = new NDKEvent(ndk, {
    kind: 68003,
    content: '👍',
    tags: [['status', 'started']]
  })

  reactEvent.tag(event, 'job')

  await reactEvent.sign().catch((err) => {
    throw `Event signing error: ${err}`
  })
  await reactEvent.publish().catch((err) => {
    throw `Event publishing error: ${err}`
  })

  return reactEvent
}
